%define realname Authen-Htpasswd
%define name	perl-%{realname}
%define	modprefix Authen

%define version	0.14
%define release	%mkrel 5

Summary:	Interface to read and modify Apache .htpasswd files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Class::Accessor::Fast)
BuildRequires:	perl(Digest)
BuildRequires:	perl(IO::LockedFile)
BuildRequires:  perl(Module::Build)
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
This module provides a convenient, object-oriented interface to Apache-style
.htpasswd files. It supports passwords encrypted via MD5, SHA1, and crypt, as
well as plain (cleartext) passwords. It requires Crypt::PasswdMD5 for MD5 and
Digest::SHA1 for SHA1. 

%prep
%setup -q -n %{realname}-%{version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}



%changelog
* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:27:16 (54275)
- Rebuild, spec file cleanup

* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:20:16 (54273)
- import perl-Authen-Htpasswd-0.14-4mdk

* Wed May 03 2006 Scott Karns <socttk@mandriva.org> 0.14-4mdk
- Updated BuildRequires

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.14-3mdk
- Fix SPEC Using perl Policies

* Sat Mar 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.14-2mdk
- Add BuildRequires

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.14-1mdk
- First Mandriva release

